API referencePayment
Refund Payment
Refund a paid payment by amount in cents. Stripe-backed payments are refunded in Stripe and manual card payments are adjusted in Lockii. App connections need the booking:write scope.
POST
/payment/{id}/refundcurl -X POST "https://dash.lockii.app/api/v1/payment/{id}/refund" \
-H "x-api-key: $LOCKII_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"amount": 0
}'Authorization
x-api-keystringheaderAPI key from Settings → Integrations → API.
AuthorizationstringheaderThe same API key, or an OAuth access token, sent as Authorization: Bearer.
api_keystringqueryAPI key query parameter.
Parameters
idstringpathrequiredPayment ID to refund
Body
application/json
amountnumberrequiredRefund amount in cents
Response
application/json
JSON result for this operation.
object
{}